/* opcodes.h   The GPLBASIC interpreter
   Copyright (C) 1997 L.C. Benschop, Eindhoven, the Netherlands
   */


#define OP_IADD 0
#define OP_ISUB 1
#define OP_IMUL 2
#define OP_IDIV 3
#define OP_IMOD 4
#define OP_IAND 5
#define OP_IOR  6
#define OP_IXOR 7
#define OP_IEQV 8
#define OP_IIMP 9
#define OP_ILIT 10
#define OP_IGET 11
#define OP_IPUT 12
#define OP_IEQ  13
#define OP_INE  14
#define OP_ILT  15
#define OP_IGE  16
#define OP_IGT  17
#define OP_ILE  18
#define OP_IPRINT 19
#define OP_PRINTNL 20
#define OP_BT 21
#define OP_BF 22
#define OP_JMP 23
#define OP_EXIT 24
#define OP_INEG 25
#define OP_INOT 26
#define OP_JSR 27
#define OP_RET 28
#define OP_SPRINT 29
#define OP_PRINTC 30
#define OP_SLIT 31
#define OP_SGET 32
#define OP_SPUT 33
#define OP_CHR 34
#define OP_LEN 35
#define OP_ASC 36
#define OP_IABS 37
#define OP_ISGN 38
#define OP_INPUTNL 39
#define OP_IINPUT 40
#define OP_IFOR 41
#define OP_INEXT 42
#define OP_TJMP 43
#define OP_TJSR 44
#define OP_IGETA 45
#define OP_IPUTA 46
#define OP_IDIM  47
#define OP_FADD  48
#define OP_FSUB  49
#define OP_FMUL  50
#define OP_FDIV  51
#define OP_FGET  52
#define OP_FPUT  53
#define OP_FEQ   54
#define OP_FNE   55
#define OP_FLT   56
#define OP_FGE   57
#define OP_FGT   58
#define OP_FLE   59
#define OP_FIPOW 60
#define OP_FFPOW 61
#define OP_I2F   62
#define OP_F2I   63
#define OP_I2F2  64
#define OP_FPRINT 65
#define OP_FGETA 66
#define OP_FDIM  67
#define OP_FPUTA 68
#define OP_FINPUT 69
#define OP_FFOR  70
#define OP_FNEXT 71
#define OP_SIN   72
#define OP_COS   73
#define OP_TAN   74
#define OP_ATN   75
#define OP_SQR   76
#define OP_LOG   77
#define OP_EXP   78
#define OP_FNEG  79
#define OP_FABS  80
#define OP_FSGN  81
#define OP_INT   82
#define OP_RND   83
#define OP_CLR   84
#define OP_SEQ   85
#define OP_SNE   86
#define OP_SLT   87
#define OP_SGE   88
#define OP_SGT   89
#define OP_SLE   90
#define OP_CLRSTK 91
#define OP_SCAT  92
#define OP_LEFT  93
#define OP_MID   94
#define OP_MID2  95
#define OP_RIGHT 96
#define OP_STR   97
#define OP_VAL   98
#define OP_STRING 99
#define OP_INSTR 100
#define OP_SINPUT 101
#define OP_SGETA 102
#define OP_SPUTA 103
#define OP_SDIM  104
#define OP_SRAND 105
#define OP_READ  106
#define OP_RESTOR 107
#define OP_PRINTT 108
#define OP_IGETL 109
#define OP_IPUTL 110
#define OP_FGETL 111
#define OP_FPUTL 112
#define OP_SGETL 113
#define OP_SPUTL 114
#define OP_IGETR 115
#define OP_IPUTR 116
#define OP_FGETR 117
#define OP_FPUTR 118
#define OP_SGETR 119
#define OP_SPUTR 120
#define OP_CALL  121
#define OP_LINK  122
#define OP_UNLRET 123
#define OP_SWAP  124
#define OP_FZERO 125
#define OP_FDROP 126
#define OP_TIME  127
#define OP_DATE  128
#define OP_TIMER 129
#define OP_OCT   130
#define OP_HEX   131
#define OP_UCASE 132
#define OP_LCASE 133
#define OP_LTRIM 134
#define OP_RTRIM 135
#define OP_EXITFOR 136
#define OP_REFSTK 137
#define OP_REFFP 138
#define OP_PARMREF 139
#define OP_ILOCREF 140
#define OP_SLOCREF 141
#define OP_FLOCREF 142
#define OP_SPUTL2 143
#define OP_IFORL 144
#define OP_FFORL 145
#define OP_DROP 146
#define OP_DUP 147
#define OP_FDUP 148
#define OP_OVER 149
#define OP_2PICK 150
#define OP_INPUTCOM 151
#define OP_SINPUTL 152
#define OP_FOPEN 153
#define OP_FCLOSE 154
#define OP_SETINPUT 155
#define OP_SETOUTPUT 156
#define OP_EOF 157
#define OP_LOF 158
#define OP_FREEFILE 159
#define OP_ROT 160
#define OP_SWRITE 161
#define OP_MARKLINE 162
#define OP_SKDATA 163
#define OP_STOP 164
