/* token.h
   Copyright (C) 1997 L.C. Benschop, Eindhoven, the Netherlands
   */


#define TOK_INT 0
#define TOK_FLT 1
#define TOK_STR 2
#define TOK_IDENT 3
#define TOK_EOL 4
#define TOK_UNK 5
#define TOK_LPAR 6
#define TOK_RPAR 7
#define TOK_PLUS 8
#define TOK_MINUS 9
#define TOK_TIMES 10
#define TOK_DIV 11
#define TOK_POW 12
#define TOK_LT 13
#define TOK_GT 14
#define TOK_EQ 15
#define TOK_GE 16
#define TOK_LE 17
#define TOK_NE 18
#define TOK_COMMA 19
#define TOK_COLON 20
#define TOK_SEMI 21
#define TOK_HASH 22
#define TOK_IDIV 23
#define TOK_OCT 24
#define TOK_HEX 25

#define KW_ABS 100
#define KW_ACS 101
#define KW_ASN 102
#define KW_ATN 103
#define KW_COS 104
#define KW_SIN 105
#define KW_TAN 106
#define KW_SGN 107
#define KW_AND 108
#define KW_OR  109
#define KW_XOR 110
#define KW_EQV 111
#define KW_IMP 112
#define KW_SQR 113
#define KW_LOG 114
#define KW_LN  115
#define KW_EXP 116
#define KW_RND 117
#define KW_ASC 118
#define KW_CHR 119
#define KW_LEFT 120
#define KW_RIGHT 121
#define KW_MID 122
#define KW_UCASE 123
#define KW_LCASE 124
#define KW_LTRIM 125
#define KW_RTRIM 126
#define KW_INSTR 127
#define KW_STRING 128
#define KW_VAL 129
#define KW_STR 130
#define KW_RUN 131
#define KW_CHAIN 132
#define KW_GOTO 133
#define KW_GOSUB 134
#define KW_ON 135
#define KW_RETURN 136
#define KW_IF 137
#define KW_THEN 138
#define KW_ELSE 139
#define KW_ELSEIF 140
#define KW_ENDIF 141
#define KW_DO 142
#define KW_EXIT 143
#define KW_LOOP 144
#define KW_WHILE 145
#define KW_WEND 146
#define KW_REPEAT 147
#define KW_UNTIL 148
#define KW_FOR 149
#define KW_TO 150
#define KW_STEP 151
#define KW_NEXT 152
#define KW_END 153
#define KW_STOP 154
#define KW_PRINT 155
#define KW_INPUT 156
#define KW_LET 157
#define KW_REM 158
#define KW_READ 159
#define KW_DATA 160
#define KW_RESTORE 161
#define KW_NOT 162
#define KW_MOD 163
#define KW_LEN 164
#define KW_DIM 165
#define KW_INT 166
#define KW_CLEAR 167
#define KW_RANDOMIZE 168
#define KW_TAB 169
#define KW_DEF 170
#define KW_SUB 171
#define KW_FUNCTION 172
#define KW_DEFINT 173
#define KW_DEFLNG 174
#define KW_DEFSNG 175
#define KW_DEFDBL 176
#define KW_DEFSTR 177
#define KW_SYSTEM 178
#define KW_TIME 179
#define KW_DATE 180
#define KW_TIMER 181
#define KW_OCT 182
#define KW_HEX 183
#define KW_CINT 184
#define KW_CLNG 185
#define KW_CSNG 186
#define KW_CDBL 187
#define KW_FIX  188
#define KW_SHARED 189
#define KW_STATIC 190
#define KW_DECLARE 191
#define KW_CALL 192
#define KW_OPTION 193
#define KW_BASE 194
#define KW_IS 195
#define KW_AS 196
#define KW_SELECT 197
#define KW_CASE 198
#define KW_OPEN 199
#define KW_CLOSE 200
#define KW_OUTPUT 201
#define KW_APPEND 202
#define KW_LINE 203
#define KW_EOF 204
#define KW_LOF 205
#define KW_FREEFILE 206
#define KW_WRITE 207

/* variable types */
#define TY_PLAIN 0
#define TY_INT   1
#define TY_STR   2 
#define TY_LONG  3 
#define TY_SINGLE 4
#define TY_DOUBLE 5
#define TY_VOID   7

#define TY_FUNC 128
#define TY_ARRAY 64

extern char * parseptr;

extern int thistoken;

void skipblanks(void);
int nexttoken(void);
void require(int);

extern char tokname[]; /* name/string contents belonging to some tokens */
extern unsigned int tokhash; /* hash belonging to TOK_IDENT tokens */         
extern int vartype;    /* Type of variable determined by suffix */

extern int nofloat;








